ReactionUtils.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/ChemReactions/Reaction.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.

## Enumerations

enum | RDKit::ReactionMoleculeType { RDKit::Reactant , RDKit::Product , RDKit::Agent }

## Functions

RDKIT_CHEMREACTIONS_EXPORT MOL_SPTR_VECT::const_iterator | RDKit::getStartIterator (const ChemicalReaction &rxn, ReactionMoleculeType t)
RDKIT_CHEMREACTIONS_EXPORT MOL_SPTR_VECT::const_iterator | RDKit::getEndIterator (const ChemicalReaction &rxn, ReactionMoleculeType t)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::hasReactantTemplateSubstructMatch (const ChemicalReaction &rxn, const ChemicalReaction &query_rxn)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::hasProductTemplateSubstructMatch (const ChemicalReaction &rxn, const ChemicalReaction &query_rxn)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::hasAgentTemplateSubstructMatch (const ChemicalReaction &rxn, const ChemicalReaction &query_rxn)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::hasReactionSubstructMatch (const ChemicalReaction &rxn, const ChemicalReaction &query_rxn, bool includeAgents=false)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::hasReactionAtomMapping (const ChemicalReaction &rxn)
RDKIT_CHEMREACTIONS_EXPORT bool | RDKit::isReactionTemplateMoleculeAgent (const ROMol &mol, double agentThreshold)
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::updateProductsStereochem (ChemicalReaction *rxn)
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::removeMappingNumbersFromReactions (const ChemicalReaction &rxn)